Stylistic changes to currency (#99)

This commit is contained in:
Reto Kromer 2017-07-27 14:27:06 +02:00 committed by Alex Epstein
parent fc85d432bd
commit 642bfba164
1 changed files with 71 additions and 73 deletions

View File

@ -19,7 +19,6 @@ getConfiguredClient()
echo "Error: This tool reqires either curl, wget, or fetch to be installed."
return 1
fi
}
## Allows to call the users configured client without if statements everywhere
@ -60,6 +59,7 @@ getBase()
getBase
fi
}
## Checks base currency from the user and validates it with all the possible currency
## types available on the API (requires argument)
checkBase()
@ -137,13 +137,15 @@ convertCurrency()
{
exchangeRate=$(httpGet "http://api.fixer.io/latest?base=$base&symbols=$exchangeTo" | grep -Eo "[0-9]*[.][0-9]*") > /dev/null
exchangeAmount=$(echo "$exchangeRate * $amount" | bc)
echo
echo "========================="
echo "| $base to $exchangeTo"
echo "| Rate: $exchangeRate"
echo "| $base: $amount"
echo "| $exchangeTo: $exchangeAmount"
echo "========================="
cat <<EOF
=========================
| $base to $exchangeTo
| Rate: $exchangeRate
| $base: $amount
| $exchangeTo: $exchangeAmount
=========================
EOF
}
update()
@ -167,7 +169,7 @@ update()
echo "Version $latestVersion available"
echo -n "Do you wish to update $repositoryName [Y/n]: "
read -r answer
if [[ "$answer" == "Y" || "$answer" == "y" ]] ;then
if [[ "$answer" == [Yy] ]]; then
cd ~ || { echo 'Update Failed'; exit 1; }
if [[ -d ~/$repositoryName ]]; then rm -r -f $repositoryName || { echo "Permissions Error: try running the update as sudo"; exit 1; } ; fi
git clone "https://github.com/$githubUserName/$repositoryName" || { echo "Couldn't download latest version"; exit 1; }
@ -184,58 +186,54 @@ update()
echo "$repositoryName is already the latest version"
fi
fi
}
usage()
{
echo "Currency"
echo "Description: A realtime currency converter."
echo " With no flags it will guide you through the currency exchange"
echo "Usage: currency or currency [flag] or currency [base] [exchangeTo] [amount]"
echo " -u Update Bash-Snippet Tools"
echo " -h Show the help"
echo " -v Get the tool version"
echo "Supported Currencies:"
echo " _______________________"
echo "| AUD | BGN | BRL | CAD |"
echo "| CHF | CNY | CZK | DKK |"
echo "| EUR | GBP | HKD | HRK |"
echo "| HUF | IDR | ILS | INR |"
echo "| JPY | KRW | MXN | MYR |"
echo "| NOK | NZD | PHP | PLN |"
echo "| RON | RUB | SEK | SGD |"
echo "| THB | TRY | USD | ZAR |"
echo " _______________________"
echo "Examples:"
echo " currency EUR USD 12.35"
echo " currency"
cat <<EOF
Currency
Description: A realtime currency converter.
With no flags it will guide you through the currency exchange
Usage: currency or currency [flag] or currency [base] [exchangeTo] [amount]
-u Update Bash-Snippet Tools
-h Show the help
-v Get the tool version
Supported Currencies:
_______________________
| AUD | BGN | BRL | CAD |
| CHF | CNY | CZK | DKK |
| EUR | GBP | HKD | HRK |
| HUF | IDR | ILS | INR |
| JPY | KRW | MXN | MYR |
| NOK | NZD | PHP | PLN |
| RON | RUB | SEK | SGD |
| THB | TRY | USD | ZAR |
_______________________
Examples:
currency EUR USD 12.35
currency
EOF
}
getConfiguredClient || exit 1
checkInternet || exit 1 # check if we have a valid internet connection if this isnt true the rest of the script will not work so stop here
while getopts "uvh" opt; do
case $opt in
\?)
echo "Invalid option: -$OPTARG" >&2
case "$opt" in
\?) echo "Invalid option: -$OPTARG" >&2
exit 1
;;
h)
usage
h) usage
exit 0
;;
v)
echo "Version $currentVersion"
v) echo "Version $currentVersion"
exit 0
;;
u)
update
u) update
exit 0
;;
:)
echo "Option -$OPTARG requires an argument." >&2
:) echo "Option -$OPTARG requires an argument." >&2
exit 1
;;
esac